"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const readline_1 = __importDefault(require("readline"));
function strip(str) {
    return str.replace(/(^\s*)|(\s*$)/g, '');
}
function MakeWordsSet(words_file) {
    const words_set = new Set();
    const rl = readline_1.default.createInterface({
        input: fs_1.default.createReadStream(words_file)
    });
    return new Promise((resolve) => {
        rl.on('line', (line) => {
            const word = strip(line);
            if (word.length > 0 && !words_set.has(word)) {
                words_set.add(word);
            }
        });
        rl.on('close', () => {
            resolve(words_set);
        });
    });
}
exports.MakeWordsSet = MakeWordsSet;
//# sourceMappingURL=scripts.js.map